PowerPoint7GraphInternal::FrameArc Struct Reference documentation

PowerPoint7GraphInternal::FrameArc Struct Referencefinal

Internal: a frame rect of a PowerPoint7Graph. More...

Inheritance diagram for PowerPoint7GraphInternal::FrameArc:

## Public Member Functions
| FrameArc ()
| constructor
| ~FrameArc () final
| destructor
bool | updateShape (MWAWBox2f const &finalBox, MWAWGraphicShape &shape) const
| update the shape
Public Member Functions inherited from PowerPoint7GraphInternal::Frame
| Frame (Type type=Unknown)
| constructor
virtual | ~Frame ()
| destructor
virtual void | getTextZoneList (std::vector< int > &textIdList) const
| try to update the list of text sub zone

## Public Attributes
float | m_angles [2]
| the arc angles
Public Attributes inherited from PowerPoint7GraphInternal::Frame
enum Type | m_type
| the type:
int | m_subType
| the sub type
MWAWBox2i | m_dimension
| the dimension
float | m_rotation
| the rotation
bool | m_flip [2]
| the flip flags: horizontal and vertical
MWAWGraphicStyle | m_style
| the style
int | m_pictureId
| the picture id(if positif)
int | m_textId
| the text id(if positif)
bool | m_isBackground
| a flag to know if this is the slide's background
bool | m_isSent
| flag to know if a frame is sent

## Additional Inherited Members
Public Types inherited from PowerPoint7GraphInternal::Frame
enum | Type { Arc , Line , Group , Placeholder , Polygon , Rect , Unknown }
| the frame type More...

## Detailed Description

Internal: a frame rect of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## ◆ FrameArc()

PowerPoint7GraphInternal::FrameArc::FrameArc | ( |  | ) |
| inline

constructor

Referenced by ~FrameArc().

## ◆ ~FrameArc()

PowerPoint7GraphInternal::FrameArc::~FrameArc | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ updateShape()

bool PowerPoint7GraphInternal::FrameArc::updateShape | ( | MWAWBox2f const & | finalBox,
|  | MWAWGraphicShape & | shape ) const

update the shape

## Member Data Documentation

## ◆ m_angles

float PowerPoint7GraphInternal::FrameArc::m_angles[2]

the arc angles

Referenced by FrameArc(), PowerPoint7Graph::readArcAtom(), and updateShape().

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx